import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FormattedMessage } from "react-intl";
import { Message } from "../../../../Messages/Message.js";
export function PrepareEnvMessage({ integrationDocLink }) {
    if (integrationDocLink) {
        return (_jsxs(Message, { type: "progress", className: "embed-insight-dialog-prep-env-message", children: [
                _jsx("span", { children: _jsx(FormattedMessage, { id: "embedInsightDialog.prepareEnvironmentMessage", values: { b: (chunks) => _jsx("strong", { children: chunks }) } }) }), _jsx("a", { href: integrationDocLink, target: "_blank", rel: "noreferrer", children: _jsx(FormattedMessage, { id: "embedInsightDialog.prepareEnvironmentMessage.link" }) })
            ] }));
    }
    return null;
}
